Skip to main content

Get the current user's table settings

GET
/table-settings/{tableKey}

Returns the settings of a specific table for the user of the current JWT session only. If no settings have been saved yet, the settings field is null.

Contract

Parameter
Value
Sectiontable-settings
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
tableKeypathyesstringStable table key

Responses

4 responses

Status
Description
Type
200
OKobject
400
Invalid table keyobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "settings": {
        "columnWidths": {
          "<key>": 0
        },
        "knownColumns": [
          "<string>"
        ],
        "rowHeight": "compact",
        "version": 0,
        "visibleColumns": [
          "<string>"
        ]
      },
      "tableKey": "<string>",
      "updatedAt": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }